Bug 65184 - Improve performance of POFSMiniStore getBlockAt
Summary: Improve performance of POFSMiniStore getBlockAt
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: POIFS (show other bugs)
Version: 5.0.0-FINAL
Hardware: PC All
: P2 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-13 18:02 UTC by PJ Fanning
Modified: 2021-04-27 06:17 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description PJ Fanning 2021-03-13 18:02:14 UTC
Follow up to https://bz.apache.org/bugzilla/show_bug.cgi?id=64322
Comment 1 PJ Fanning 2021-03-13 18:54:01 UTC
committed r1887604
Comment 2 PJ Fanning 2021-03-13 19:15:09 UTC
the commit is just reformatting - there is still work to do to optimise the code
Comment 3 PJ Fanning 2021-03-14 13:42:20 UTC
While the way that the blocks are fetched and the potential for the underlying to be streamed multiple times is far from ideal - I think the performance impact will depend a lot on whether the POIFSFileSystem is file backed or byte array backed. FileBackedDataSource will be affected more.
Comment 4 PJ Fanning 2021-03-14 23:22:20 UTC
added r1887657
Comment 5 PJ Fanning 2021-03-14 23:55:44 UTC
reverted using r1887660 due to integration test  failures
Comment 6 PJ Fanning 2021-03-19 22:51:36 UTC
I added back the changes and the integration tests passed
Comment 7 Dominik Stadler 2021-04-27 06:17:57 UTC
This is applied now as far as I see.